com.dlsc.flexgantt.command.layer

## Class DefaultDeleteMultipleTimelineObjectsCommand

- java.lang.Object
- - com.dlsc.flexgantt.command.AbstractCommand
  - - com.dlsc.flexgantt.command.AbstractCompoundCommand<DefaultDeleteTimelineObjectCommand>
    - - com.dlsc.flexgantt.command.layer.DefaultDeleteMultipleTimelineObjectsCommand

- All Implemented Interfaces:
    ICommand, Serializable

      public class DefaultDeleteMultipleTimelineObjectsCommand
      extends AbstractCompoundCommand<DefaultDeleteTimelineObjectCommand>

  A command that deletes several timeline objects at the same time from a Gantt chart model. This command will only work in situations where the model is an instance of `DefaultGanttChartModel`, the timeline object implements the `ITimelineObject` interface, and the tree node implements the `IGanttChartNode` interface.
  Since:
    1.1
  Version:
    $Revision: 1.6 $
  Author:
    Dirk Lemmermann
  See Also:
    `DefaultDeleteTimelineObjectCommand`, `IEditTimelineObjectPolicy.getDeleteCommand(com.dlsc.flexgantt.model.gantt.IGanttChartModel, Collection)`, `DefaultGanttChartModel.removeTimelineObject(IGanttChartNode, ILayer, ITimelineObject)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDeleteMultipleTimelineObjectsCommand(DefaultGanttChartModel model, Collection<TimelineObjectPath> timelineObjects)` Constructs a new command.

  - ### Method Summary

    - ### Methods inherited from class com.dlsc.flexgantt.command.AbstractCompoundCommand

      `addCommand, executeCommand, getCommand, getCommandCount, isRedoable, isUndoable, redoCommand, removeCommand, setCommands, undoCommand`

    - ### Methods inherited from class com.dlsc.flexgantt.command.AbstractCommand

      `getName, isRelevant, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDeleteMultipleTimelineObjectsCommand

          public DefaultDeleteMultipleTimelineObjectsCommand(DefaultGanttChartModel model,
                                                             Collection<TimelineObjectPath> timelineObjects)

      Constructs a new command.
      Parameters:
        `model` - the model in which the node and the timeline object are stored
        `timelineObjects` - the timeline objects that will be deleted
      Since:
        1.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.